Bug 971404 - Can't rename a printer
Can't rename a printer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 08:48 EDT by Emmanuel Pacaud
Modified: 2015-02-18 08:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:55:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (610.79 KB, image/png)
2013-06-10 04:07 EDT, Emmanuel Pacaud
no flags Details

  None (edit)
Description Emmanuel Pacaud 2013-06-06 08:48:38 EDT
Printer rename functionality seems broken.

There is a cosmetic/usability issue, as when you select rename in teh context menu, the printer name is not large enough to show the complete name (I can't take a screenshot, as the the screenshot tools close the edit area before grabbing the screen). Console show a lots of warning:

/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_freeze_notify: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_get: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_set: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_set_property: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_thaw_notify: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)

(system-config-printer.py:9062): Gtk-CRITICAL **: gtk_cell_renderer_get_visible: assertion `GTK_IS_CELL_RENDERER (cell)' failed

(system-config-printer.py:9062): Gtk-CRITICAL **: gtk_cell_renderer_get_preferred_width: assertion `GTK_IS_CELL_RENDERER (cell)' failed

(system-config-printer.py:9062): Gtk-CRITICAL **: gtk_cell_renderer_get_visible: assertion `GTK_IS_CELL_RENDERER (cell)' failed

(system-config-printer.py:9062): Gtk-CRITICAL **: gtk_cell_renderer_get_visible: assertion `GTK_IS_CELL_RENDERER (cell)' failed

And, more importantly, system-config-printer fails to correctly rename the printer. It creates a new printer, with the new name, but leaves a printer with the old name.

I'm using fedora 19, with a French locale.
Comment 1 Emmanuel Pacaud 2013-06-06 08:49:25 EDT
s/printer name/printer name edit area/
Comment 2 Tim Waugh 2013-06-07 12:32:04 EDT
I've submitted an update which may help with this problem, although I didn't get to the bottom of it really.  There is some kind of reference counting issue with the cell renderer in question.

Please give system-config-printer-1.4.1-6.fc19 a go.  It will be in updates-testing soon.
Comment 3 Emmanuel Pacaud 2013-06-10 04:07:29 EDT
Created attachment 759102 [details]
Screenshot

Unfortunatley, this update did not fix the issue.
Comment 4 Jiri Popelka 2013-06-20 04:43:28 EDT
(In reply to Emmanuel Pacaud from comment #3)
> Unfortunatley, this update did not fix the issue.

Maybe because the patch has actually not been applied ;-)
Comment 5 Fedora Update System 2013-06-20 04:54:47 EDT
system-config-printer-1.4.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-7.fc19
Comment 6 Fedora Update System 2013-06-20 14:03:59 EDT
Package system-config-printer-1.4.1-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11366/system-config-printer-1.4.1-7.fc19
then log in and leave karma (feedback).
Comment 7 Emmanuel Pacaud 2013-06-21 03:53:36 EDT
This update doesn't fix the issue.

Open system-config-printer, click on a printer, select rename.
Click on the canvas in order to leave the name edit entry.
Then do the same operations a second time -> warnings and rendering issues.

/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_freeze_notify: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_get: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_set_property: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)
/usr/lib64/python2.7/site-packages/gi/types.py:113: Warning: g_object_thaw_notify: assertion `G_IS_OBJECT (object)' failed
  return info.invoke(*args, **kwargs)

(system-config-printer.py:27535): Gtk-CRITICAL **: gtk_cell_renderer_get_visible: assertion `GTK_IS_CELL_RENDERER (cell)' failed

(system-config-printer.py:27535): Gtk-CRITICAL **: gtk_cell_area_is_focus_sibling: assertion `GTK_IS_CELL_RENDERER (renderer)' failed

....
Comment 8 Fedora End Of Life 2015-01-09 17:08:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:55:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.